VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BufferedOutputStream Class Reference

`#include <cstream.h>`

Inheritance diagram for BufferedOutputStream:

## Public Member Functions
| BufferedOutputStream (OutputStream &stream, size_t bufferSize=8192)
| ~BufferedOutputStream () noexcept override
bool | operator<< (const std::string &str) override
uint32_t | writeRaw (const void *inBuffer, uint32_t size) override
bool | flush ()
Public Member Functions inherited from OutputStream
| OutputStream (ByteOrder byteOrder=kNativeByteOrder)
virtual | ~OutputStream () noexcept=default
ByteOrder | getByteOrder () const
void | setByteOrder (ByteOrder newByteOrder)
bool | operator<< (const int8_t &input)
bool | operator<< (const uint8_t &input)
bool | operator<< (const int16_t &input)
bool | operator<< (const uint16_t &input)
bool | operator<< (const int32_t &input)
bool | operator<< (const uint32_t &input)
bool | operator<< (const int64_t &input)
bool | operator<< (const uint64_t &input)
bool | operator<< (const double &input)

## Constructor & Destructor Documentation

## ◆ BufferedOutputStream()

BufferedOutputStream | ( | OutputStream & | stream,
|  | size_t | bufferSize = 8192 )
| inline

## ◆ ~BufferedOutputStream()

~BufferedOutputStream | ( |  | ) |
| inline override noexcept

## Member Function Documentation

## ◆ flush()

bool flush | ( |  | ) |
| inline

## ◆ operator<<()

bool operator<< | ( | const std::string & | str | ) |
| inline override virtual

Implements OutputStream.

## ◆ writeRaw()

uint32_t writeRaw | ( | const void * | inBuffer,
|  | uint32_t | size )
| inline override virtual

Implements OutputStream.

The documentation for this class was generated from the following file:

- cstream.h